## IdePane IdePane |

## Functions

GtkWidget * | ide_pane_new ()

## Types and Values

#define | IDE_TYPE_PANE
struct | IdePaneClass
| IdePane

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlBin
                            ╰── DzlDockWidget
                                ╰── IdePane

## Implemented Interfaces

IdePane implements AtkImplementorIface, GtkBuildable and DzlDockItem.

## Description

## Functions

### ide_pane_new ()

    GtkWidget *
    ide_pane_new (void);

Creates a new IdePane widget.

These widgets are meant to be added to IdePanel widgets.

#### Returns

a new IdePane.

[transfer full]

Since: 3.32

## Types and Values

### IDE_TYPE_PANE

    #define IDE_TYPE_PANE (ide_pane_get_type())

### struct IdePaneClass

    struct IdePaneClass {
      DzlDockWidgetClass parent_class;
    };

### IdePane

    typedef struct _IdePane IdePane;